@import "./themes/themes.css";

body {
  display: grid;
  grid-template-rows: auto 1fr auto;
  min-height: 100vh;
}

body * {
  color: #000;
  font-weight: bold;
}

header {
  margin-bottom: 30px;
}

header > figure {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
}

header > figure img,
main figure img {
  image-rendering: pixelated;
}

header > figure img {
  width: 128px;
  height: 128px;
}

body,
main figure {
  margin: 0;
}

body,
main figure,
div.desc p {
  padding: 0;
}

main figure img {
  max-width: 100%;
}

header > figure figcaption {
  font-style: italic;
}

main {
  max-width: 500px;
  margin: 0 auto;
}

div.desc,
footer {
  padding: 20px 30px;
  margin: 20px 0;

  background-color: rgba(255, 255, 255, 0.25);
  backdrop-filter: blur(3px);
  border: 1px solid rgba(255, 255, 255, 0.25);
}

div.desc p {
  margin: 20px 0 40px 0;
}

span.lb {
  display: block;
}

footer {
  text-align: center;
  margin: 50px 0 0 0;
  padding: 5px 0;
}

@media screen and (min-width: 500px) {
  div.desc p {
    margin: 20px 0 0 0;
  }

  main figure {
    padding: 40px;
  }
}
